## kdf 24.08.2

=== debian/changelog ===
kdf (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:54:24 -0500

kdf (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Drop maintainer flags that are now passed to ld by default.
  * Switch to kf6 debhelper build sequence.
  * Update project homepage.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 08:19:36 +0200

=== debian/control ===
Source: kdf
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3~),
               gettext,
               libkf6configwidgets-dev (>= 6.3~),
               libkf6coreaddons-dev (>= 6.3~),
               libkf6doctools-dev (>= 6.3~),
               libkf6i18n-dev (>= 6.3~),
               libkf6iconthemes-dev (>= 6.3~),
               libkf6jobwidgets-dev (>= 6.3~),
               libkf6kcmutils-dev (>= 6.3~),
               libkf6kio-dev (>= 6.3~),
               libkf6notifications-dev (>= 6.3~),
               libkf6statusnotifieritem-dev (>= 6.3~),
               libkf6widgetsaddons-dev (>= 6.3~),
               libkf6xmlgui-dev (>= 6.3~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/kdf
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
Rules-Requires-Root: no

Package: kdf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE Applications utilities module.

## kdf 24.12.0

=== debian/changelog ===
kdf (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:40:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: kdf
 Section: utils
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3~),
                gettext,
                libkf6configwidgets-dev (>= 6.3~),
                libkf6coreaddons-dev (>= 6.3~),
+               libkf6crash-dev (>= 6.3~),
                libkf6doctools-dev (>= 6.3~),
                libkf6i18n-dev (>= 6.3~),
                libkf6iconthemes-dev (>= 6.3~),
@@ -25,8 +25,8 @@
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/kdf
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdf
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdf.git
 Rules-Requires-Root: no
 
 Package: kdf

## kdf 24.12.1

=== debian/changelog ===
kdf (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:30:16 +0000

kdf (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:10:47 +0000

kdf (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:07:06 +0000

kdf (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Nov 2024 14:49:21 +0000

kdf (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:39:43 +0000

## kdf 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kdf VERSION ${RELEASE_SERVICE_VERSION})

if(NOT UNIX)
  message(FATAL_ERROR "kdf is only supposed to be built on Unix platforms.")
endif(NOT UNIX)

set (QT_MIN_VERSION "6.5.0")
set (KF_MIN_VERSION "6.3")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})


ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KDF
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kdf_version.h"
)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KDFPRIVATE
    SOVERSION ${RELEASE_SERVICE_VERSION_MAJOR}
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    ConfigWidgets
    CoreAddons
    I18n
    IconThemes
    JobWidgets
    KIO
    KCMUtils
    Notifications
    WidgetsAddons
    XmlGui
    StatusNotifierItem
    Crash
)


find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.7
)

if (CMAKE_UNITY_BUILD)
	add_definitions(-DCMAKE_UNITY_BUILD)
endif()

add_subdirectory(desktop)
add_subdirectory(pics)
add_subdirectory(src)
ecm_qt_install_logging_categories(
	EXPORT KDF
        FILE kdf.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdf\")

########### kdfprivate library ###############

set(kdfprivate_SRCS
    kdfwidget.cpp
    kdfconfig.cpp
    kdfitemdelegate.cpp
    kdfsortproxymodel.cpp
    mntconfig.cpp
    disklist.cpp
    disks.cpp
    optiondialog.cpp
    stdoption.cpp
    kdfconfig.h
    optiondialog.h
    kdfwidget.h
    mntconfig.h
    kdfutil.h
    stdoption.h
    disks.h
    kdfsortproxymodel.h
    kdfitemdelegate.h
    disklist.h
    kdf.qrc
)

ecm_qt_declare_logging_category(kdfprivate_SRCS
                                HEADER kdfprivate_debug.h
                                IDENTIFIER KDF
                                CATEGORY_NAME kdf.private
				DESCRIPTION "kdf (private lib)" EXPORT KDF)

ki18n_wrap_ui(kdfprivate_SRCS
    kdfconfig.ui
    mntconfig.ui )

add_library(kdfprivate ${kdfprivate_SRCS})
generate_export_header(kdfprivate BASE_NAME kdfprivate)
target_link_libraries(kdfprivate PUBLIC
    Qt6::Core
    KF6::Completion
    KF6::ConfigWidgets
    KF6::I18n
    KF6::IconThemes
    KF6::KIOCore
    KF6::WidgetsAddons
    KF6::IconWidgets
    KF6::StatusNotifierItem
)

set_target_properties(kdfprivate PROPERTIES
    VERSION ${KDFPRIVATE_VERSION}
    SOVERSION ${KDFPRIVATE_SOVERSION}
)

install(TARGETS kdfprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)


########### kdf executable ###############

set(kdf_SRCS kdf.cpp kdf.h)

ecm_qt_declare_logging_category(kdf_SRCS
                                HEADER kdf_debug.h
                                IDENTIFIER KDF
                                CATEGORY_NAME kdf.main DESCRIPTION "kdf (main windows)" EXPORT KDF)

add_executable(kdf ${kdf_SRCS})

target_link_libraries(kdf
    kdfprivate
    Qt::Core
    KF6::KCMUtils
    KF6::XmlGui
    KF6::Crash
)

install(TARGETS kdf  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### kwikdisk executable ###############

set(kwikdisk_SRCS kwikdisk.cpp kwikdisk.h)

ecm_qt_declare_logging_category(kwikdisk_SRCS
                                HEADER kwikdisk_debug.h
                                IDENTIFIER KDF
                                CATEGORY_NAME kdf.kwikdisk DESCRIPTION "kdf(kdf kwikdisk)" EXPORT KDF)

add_executable(kwikdisk ${kwikdisk_SRCS})

target_link_libraries(kwikdisk
    kdfprivate
    Qt6::Core
    KF6::KIOWidgets
    KF6::Notifications
)

install(TARGETS kwikdisk  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### kdf KCM ###############

set(kcm_kdf_PART_SRCS kcmdf.cpp kcmdf.h)
ecm_qt_declare_logging_category(kcm_kdf_PART_SRCS
                                HEADER kcmdf_debug.h
                                IDENTIFIER KDF
                                CATEGORY_NAME kdf.kcm DESCRIPTION "kdf (kdf kcm)" EXPORT KDF)

add_library(kcm_kdf MODULE ${kcm_kdf_PART_SRCS})
target_link_libraries(kcm_kdf
    kdfprivate
    Qt6::Core
    KF6::KCMUtils
)

kcmutils_generate_desktop_file(kcm_kdf)

install(TARGETS kcm_kdf  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets)

=== debian/changelog ===
kdf (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:41:14 +0000

kdf (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:15:51 +0000

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## kdf 25.04.0

=== debian/changelog ===
kdf (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:42:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
@@ -19,11 +18,12 @@
                libkf6kcmutils-dev (>= 6.3~),
                libkf6kio-dev (>= 6.3~),
                libkf6notifications-dev (>= 6.3~),
+               libkf6service-dev (>= 6.3~),
                libkf6statusnotifieritem-dev (>= 6.3~),
                libkf6widgetsaddons-dev (>= 6.3~),
                libkf6xmlgui-dev (>= 6.3~),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/kdf
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdf
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdf.git

## kdf 25.04.3

=== debian/changelog ===
kdf (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:42:33 +0100

kdf (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:44:51 +0100

kdf (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:06:00 +0100

kdf (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:48:45 +0100

## kdf 25.07.80

=== debian/changelog ===
kdf (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:09:46 +0100

## kdf 25.07.90

=== debian/changelog ===
kdf (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:44:51 +0100

## kdf 25.08.0

=== debian/changelog ===
kdf (4:25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 22:20:44 +0000

kdf (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:32:16 +0000

kdf (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:14:53 +0000

kdf (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:14:36 +0000

kdf (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:04:49 +0000

kdf (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:06:33 +0000

kdf (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:28:16 +0000

kdf (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:20:27 +0000

kdf (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:12:19 +0000

kdf (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:08:16 +0000

kdf (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:08:24 +0000

kdf (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:51:38 +0000

kdf (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:22:20 +0000

kdf (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:26:52 +0000

kdf (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:03:35 +0000

kdf (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:25:55 +0000

kdf (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:15:47 +0000

kdf (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:08:42 +0000

kdf (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:49:40 +0000

kdf (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 15:33:16 +0000

kdf (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:24:50 +0000

kdf (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 22:00:38 +0000

kdf (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:55:30 +0000

kdf (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:36:21 +0000

=== debian/control ===
Source: kdf
Section: utils
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdf.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdf
Maintainer: Neon CI <neon@kde.org>

Package: kdf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE Applications utilities module.

## kdf 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdf VERSION ${RELEASE_SERVICE_VERSION})
@@ -56,6 +56,7 @@
     JobWidgets
     KIO
     KCMUtils
+    Service
     Notifications
     WidgetsAddons
     XmlGui
@@ -71,7 +72,7 @@
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.7
+    KF 6.14.0
 )
 
 if (CMAKE_UNITY_BUILD)

=== doc/app/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kdf)

=== doc/kcontrol/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/blockdevices)

=== debian/changelog ===
kdf (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:53:29 +0100

kdf (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:23:40 +0100

=== debian/control ===
Source: kdf
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3~),
               gettext,
               libkf6configwidgets-dev (>= 6.3~),
               libkf6coreaddons-dev (>= 6.3~),
               libkf6crash-dev,
               libkf6doctools-dev (>= 6.3~),
               libkf6i18n-dev (>= 6.3~),
               libkf6iconthemes-dev (>= 6.3~),
               libkf6jobwidgets-dev (>= 6.3~),
               libkf6kcmutils-dev (>= 6.3~),
               libkf6kio-dev (>= 6.3~),
               libkf6notifications-dev (>= 6.3~),
               libkf6statusnotifieritem-dev (>= 6.3~),
               libkf6widgetsaddons-dev (>= 6.3~),
               libkf6xmlgui-dev (>= 6.3~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/kdf
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdf
Rules-Requires-Root: no

Package: kdf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE Applications utilities module.

## kdf 25.08.2

=== debian/changelog ===
kdf (4:25.08.2-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 08:50:14 +0000

kdf (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:52:56 +0000

kdf (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:59:10 +0000

## kdf 25.08.2+p24.04+vstable+git20251010.0850

=== debian/changelog ===
kdf (4:25.08.2+p24.04+vstable+git20251010.0850-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 08:50:20 +0000

## kdf 25.08.2+p24.04+vstable+git20251019.0253

=== debian/changelog ===
kdf (4:25.08.2+p24.04+vstable+git20251019.0253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:53:14 +0000

## kdf 25.08.2+p24.04+vstable+git20251031.0842

=== debian/changelog ===
kdf (4:25.08.2+p24.04+vstable+git20251031.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:42:38 +0000

## kdf 25.08.2+p24.04+vunstable+git20251015.1311

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdf VERSION ${RELEASE_SERVICE_VERSION})
@@ -71,8 +71,8 @@
     TYPE OPTIONAL
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.14.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.17.0
 )
 
 if (CMAKE_UNITY_BUILD)

=== debian/changelog ===
kdf (4:25.08.2+p24.04+vunstable+git20251015.1311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:11:29 +0000

## kdf 25.08.2+p24.04+vunstable+git20251020.1114

=== CMakeLists.txt ===
--- 
+++ 
@@ -72,7 +72,7 @@
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-    KF 6.17.0
+    KF 6.19.0
 )
 
 if (CMAKE_UNITY_BUILD)

=== debian/changelog ===
kdf (4:25.08.2+p24.04+vunstable+git20251020.1114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:14:50 +0000

## kdf 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdf VERSION ${RELEASE_SERVICE_VERSION})
@@ -71,8 +71,8 @@
     TYPE OPTIONAL
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
-    KF 6.19.0
+ecm_set_disabled_deprecation_versions(QT 6.8.0
+    KF 6.14.0
 )
 
 if (CMAKE_UNITY_BUILD)

=== debian/changelog ===
kdf (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:13:59 +0000

kdf (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:44:48 +0100

## kdf 25.08.3+p24.04+vunstable+git20251123.1139

=== debian/changelog ===
kdf (4:25.08.3+p24.04+vunstable+git20251123.1139-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:39:05 +0000

kdf (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:01 +1000

## kdf 25.08.3+p24.04+vunstable+git20251206.0718

=== debian/changelog ===
kdf (4:25.08.3+p24.04+vunstable+git20251206.0718-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:18:46 +0000

## kdf 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdf VERSION ${RELEASE_SERVICE_VERSION})
@@ -71,8 +71,8 @@
     TYPE OPTIONAL
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.14.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.19.0
 )
 
 if (CMAKE_UNITY_BUILD)

=== debian/changelog ===
kdf (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:52:01 +0000

## kdf 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kdf (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:04:32 +0000

## kdf 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kdf (4:25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:03:12 +0000

kdf (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:41:33 +1000

## kdf 25.12.0+p24.04+vstable+git20251222.0431

=== debian/changelog ===
kdf (4:25.12.0+p24.04+vstable+git20251222.0431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 04:31:22 +0000

## kdf 25.12.0+p24.04+vstable+git20251231.0148

=== debian/changelog ===
kdf (4:25.12.0+p24.04+vstable+git20251231.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:48:22 +0000

## kdf 25.12.0+p24.04+vstable+git20260105.0840

=== debian/changelog ===
kdf (4:25.12.0+p24.04+vstable+git20260105.0840-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:40:28 +0000

## kdf 25.12.0+p24.04+vunstable+git20260104.0205

=== debian/changelog ===
kdf (4:25.12.0+p24.04+vunstable+git20260104.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 02:05:25 +0000

## kdf 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kdf (4:25.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Update to version 5.
  * debian/control: Bump Standards-Version to 4.7.3. Remove Priority: optional
    and Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Feb 2026 10:50:20 -0500

=== debian/control ===
Source: kdf
Section: utils
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3~),
               gettext,
               libkf6configwidgets-dev (>= 6.3~),
               libkf6coreaddons-dev (>= 6.3~),
               libkf6crash-dev (>= 6.3~),
               libkf6doctools-dev (>= 6.3~),
               libkf6i18n-dev (>= 6.3~),
               libkf6iconthemes-dev (>= 6.3~),
               libkf6jobwidgets-dev (>= 6.3~),
               libkf6kcmutils-dev (>= 6.3~),
               libkf6kio-dev (>= 6.3~),
               libkf6notifications-dev (>= 6.3~),
               libkf6service-dev (>= 6.3~),
               libkf6statusnotifieritem-dev (>= 6.3~),
               libkf6widgetsaddons-dev (>= 6.3~),
               libkf6xmlgui-dev (>= 6.3~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/kdf
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdf
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdf.git

Package: kdf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available. It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE Applications utilities module.

## kdf 25.12.1+p24.04+vstable+git20260107.0030

=== debian/changelog ===
kdf (4:25.12.1+p24.04+vstable+git20260107.0030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 00:30:45 +0000

kdf (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:32:42 +1000

## kdf 25.12.1+p24.04+vstable+git20260129.0048

=== debian/changelog ===
kdf (4:25.12.1+p24.04+vstable+git20260129.0048-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:48:04 +0000

## kdf 25.12.1+p24.04+vunstable+git20260120.1121

=== debian/changelog ===
kdf (4:25.12.1+p24.04+vunstable+git20260120.1121-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 11:21:07 +0000

## kdf 25.12.1+p24.04+vunstable+git20260128.1028

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kdf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kdf (4:25.12.1+p24.04+vunstable+git20260128.1028-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 10:28:41 +0000

## kdf 25.12.2

=== debian/changelog ===
kdf (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:22:32 +0000

kdf (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:55:29 +0000

kdf (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:02:48 +0000

kdf (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:20:15 +0000
